curl --location --request GET 'https://api.stateset.com/v1/bill_of_materials' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b"
}'
query MyBillOfMaterials {
bill_of_materials {
created_at
description
groups
id
number
name
updated_at
valid
bill_of_material_line_items {
bill_of_materials_number
id
line_type
part_name
part_number
purchase_supply_type
quantity
status
}
}
}
var billOfMaterials = stateset.billofmaterials.retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
});
bill_of_materials = stateset.billofmaterials.retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
})
bill_of_materials = Stateset::BillOfMaterials.retreive({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
})
$bill_of_materials = $stateset->billofmaterials->retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
});
bill_of_materials, err := stateset.BillOfMaterials.Retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
})
BillOfMaterials billOfMaterials = stateset.billOfMaterials.retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
});
{
{
"id": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"number": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"name": "Bill of Materials",
"description": "Bill of Materials",
"groups": "Bill of Materials",
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"valid": true,
"line_items": [
{
"id": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"bill_of_materials_number": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"line_type": "Bill of Materials",
"part_number": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"part_name": "Bill of Materials",
"purchase_supply_type": "Bill of Materials",
"quantity": 1,
"status": "Bill of Materials"
}
]
}
}
Get Bill Of Materials
This endpoint gets or creates a new bill of materials.
GET
/
v1
/
bill_of_materials
/
:id
curl --location --request GET 'https://api.stateset.com/v1/bill_of_materials' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b"
}'
query MyBillOfMaterials {
bill_of_materials {
created_at
description
groups
id
number
name
updated_at
valid
bill_of_material_line_items {
bill_of_materials_number
id
line_type
part_name
part_number
purchase_supply_type
quantity
status
}
}
}
var billOfMaterials = stateset.billofmaterials.retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
});
bill_of_materials = stateset.billofmaterials.retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
})
bill_of_materials = Stateset::BillOfMaterials.retreive({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
})
$bill_of_materials = $stateset->billofmaterials->retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
});
bill_of_materials, err := stateset.BillOfMaterials.Retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
})
BillOfMaterials billOfMaterials = stateset.billOfMaterials.retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
});
{
{
"id": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"number": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"name": "Bill of Materials",
"description": "Bill of Materials",
"groups": "Bill of Materials",
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"valid": true,
"line_items": [
{
"id": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"bill_of_materials_number": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"line_type": "Bill of Materials",
"part_number": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"part_name": "Bill of Materials",
"purchase_supply_type": "Bill of Materials",
"quantity": 1,
"status": "Bill of Materials"
}
]
}
}
Body
This is the id of the bill of materials to get. If the id is not provided, a new bill of materials will be created.
Response
This is the id of the bill of materials.
This is the number of the bill of materials.
This is the name of the bill of materials.
This is the description of the bill of materials.
This is the groups of the bill of materials.
This is the date and time when the bill of materials was created.
This is the date and time when the bill of materials was last updated.
This indicates whether the bill of materials is valid or not.
This is an array of line items associated with the bill of materials.
Show Show child attributes
Show Show child attributes
This is the id of the line item.
This is the number of the bill of materials to which the line item belongs.
This is the type or category of the line item.
This is the number or code associated with the part or item.
This is the name of the part or item.
This is the type or category of the purchase/supply associated with the line item.
This is the quantity of the part or item required in the bill of materials.
This is the status or state of the line item.
curl --location --request GET 'https://api.stateset.com/v1/bill_of_materials' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b"
}'
query MyBillOfMaterials {
bill_of_materials {
created_at
description
groups
id
number
name
updated_at
valid
bill_of_material_line_items {
bill_of_materials_number
id
line_type
part_name
part_number
purchase_supply_type
quantity
status
}
}
}
var billOfMaterials = stateset.billofmaterials.retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
});
bill_of_materials = stateset.billofmaterials.retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
})
bill_of_materials = Stateset::BillOfMaterials.retreive({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
})
$bill_of_materials = $stateset->billofmaterials->retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
});
bill_of_materials, err := stateset.BillOfMaterials.Retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
})
BillOfMaterials billOfMaterials = stateset.billOfMaterials.retrieve({
'5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b'
});
{
{
"id": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"number": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"name": "Bill of Materials",
"description": "Bill of Materials",
"groups": "Bill of Materials",
"created_at": "2021-01-01T00:00:00.000Z",
"updated_at": "2021-01-01T00:00:00.000Z",
"valid": true,
"line_items": [
{
"id": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"bill_of_materials_number": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"line_type": "Bill of Materials",
"part_number": "5f7b1b4a-5b0b-4b0a-8b0b-4b0a5b0b4a5b",
"part_name": "Bill of Materials",
"purchase_supply_type": "Bill of Materials",
"quantity": 1,
"status": "Bill of Materials"
}
]
}
}
Bill Of Materials
| Name | Type | Description |
|---|---|---|
| created_at | Date/Time | Date and time when the bill of materials was created |
| description | Text | Description or additional details about the bill of materials |
| groups | Text | Groups or categories associated with the bill of materials |
| id | Text | Unique identifier for the bill of materials |
| number | Text | Number associated with the bill of materials |
| name | Text | Name of the bill of materials |
| updated_at | Date/Time | Date and time when the bill of materials was last updated |
| valid | Boolean | Indicates whether the bill of materials is valid or not |
Bill Of Materials Line Item
| Name | Type | Description |
|---|---|---|
| bill_of_materials_number | Text | Number associated with the bill of materials to which the line item belongs |
| id | Text | Unique identifier for the line item |
| line_type | Text | Type or category of the line item |
| part_name | Text | Name of the part or item included in the bill of materials |
| part_number | Text | Number or code associated with the part or item |
| purchase_supply_type | Text | Type or category of the purchase/supply associated with the line item |
| quantity | Numeric | Quantity of the part or item required in the bill of materials |
| status | Text | Status or state of the line item |
⌘I